com.google.gwt.event.shared

## Class LegacyHandlerWrapper

- java.lang.Object
- - com.google.gwt.event.shared.LegacyHandlerWrapper

All Implemented Interfaces:
  HandlerRegistration

    public class LegacyHandlerWrapper
    extends java.lang.Object
    implements HandlerRegistration

Wrapper class to ease the transition to `HandlerRegistration`.

### Constructor Summary

Constructors
Constructor and Description
`LegacyHandlerWrapper(HandlerRegistration real)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `removeHandler()` Deregisters the handler associated with this registration object if the handler is still attached to the event source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyHandlerWrapper

    public LegacyHandlerWrapper(HandlerRegistration real)

### Method Detail

#### removeHandler

    public void removeHandler()

Description copied from interface: `HandlerRegistration`
Deregisters the handler associated with this registration object if the handler is still attached to the event source. If the handler is no longer attached to the event source, this is a no-op.

Specified by:
  `removeHandler` in interface `HandlerRegistration`